Project

General

Profile

Bug #48636

Add IPv6 keyword check in IP validator

Added by Lola Yang almost 2 years ago. Updated almost 2 years ago.

Status:
Done
Priority:
No priority
Assignee:
Waqar Ahmed
Category:
Middleware
Target version:
Severity:
Low Medium
Reason for Closing:
Reason for Blocked:
Needs QA:
No
Needs Doc:
No
Needs Merging:
No
Needs Automation:
No
Support Suite Ticket:
n/a
Hardware Configuration:
ChangeLog Required:
No

Description

payload: {"id":"07dfca64-4487-facf-ef5e-c4922c43ffeb","msg":"method","method":"jail.create","params":[{"uuid":"test1234","release":"11.2-RELEASE","props":["vnet=on","ip6_addr=vnet0|accept_rtadv"]}]}

job response: {"msg": "changed", "collection": "core.get_jobs", "id": 103, "fields": {"id": 103, "method": "jail.create_job", "arguments": [{"uuid": "test1234", "release": "11.2-RELEASE", "props": ["vnet=on", "ip6_addr=vnet0|accept_rtadv"], "basejail": false, "empty": false, "short": false}], "logs_path": null, "logs_excerpt": null, "progress": {"percent": 0, "description": "Creating: test1234", "extra": null}, "result": null, "error": "[EINVAL] options.props.ip6_addr: valid IP address\n", "exception": "concurrent.futures.process._RemoteTraceback: \n\"\"\"\nTraceback (most recent call last):\n File \"/usr/local/lib/python3.6/site-packages/middlewared/plugins/jail.py\", line 329, in check_jail_existence\n jail, path = iocage.__check_jail_existence__()\n File \"/usr/local/lib/python3.6/site-packages/iocage_lib/iocage.py\", line 329, in check_jail_existence\n silent=self.silent)\n File \"/usr/local/lib/python3.6/site-packages/iocage_lib/ioc_common.py\", line 81, in logit\n callback(content, exception)\n File \"/usr/local/lib/python3.6/site-packages/iocage_lib/ioc_common.py\", line 64, in callback\n raise callback_exception(message)\nRuntimeError: jail 'test1234' not found!\n\nDuring handling of the above exception, another exception occurred:\n\nTraceback (most recent call last):\n File \"/usr/local/lib/python3.6/site-packages/middlewared/plugins/jail.py\", line 130, in create_job\n self.check_jail_existence(uuid, skip=False)\n File \"/usr/local/lib/python3.6/site-packages/middlewared/plugins/jail.py\", line 331, in check_jail_existence\n raise CallError(f\"jail '{jail}' not found!\")\nmiddlewared.service_exception.CallError: [EFAULT] jail 'test1234' not found!\n\nDuring handling of the above exception, another exception occurred:\n\nTraceback (most recent call last):\n File \"/usr/local/lib/python3.6/concurrent/futures/process.py\", line 175, in _process_worker\n r = call_item.fn(*call_item.args, **call_item.kwargs)\n File \"/usr/local/lib/python3.6/site-packages/middlewared/worker.py\", line 122, in main_worker\n res = loop.run_until_complete(coro)\n File \"/usr/local/lib/python3.6/asyncio/base_events.py\", line 468, in run_until_complete\n return future.result()\n File \"/usr/local/lib/python3.6/site-packages/middlewared/worker.py\", line 82, in _run\n return await self._call(f'{service_name}.{method}', serviceobj, methodobj, params=args, job=job)\n File \"/usr/local/lib/python3.6/site-packages/middlewared/worker.py\", line 75, in _call\n return methodobj(*params)\n File \"/usr/local/lib/python3.6/site-packages/middlewared/worker.py\", line 75, in _call\n return methodobj(*params)\n File \"/usr/local/lib/python3.6/site-packages/middlewared/plugins/jail.py\", line 144, in create_job\n raise verrors\nmiddlewared.service_exception.ValidationErrors: [EINVAL] options.props.ip6_addr: valid IP address\n\n\"\"\"\n\nThe above exception was the direct cause of the following exception:\n\nTraceback (most recent call last):\n File \"/usr/local/lib/python3.6/site-packages/middlewared/job.py\", line 332, in run\n await self.future\n File \"/usr/local/lib/python3.6/site-packages/middlewared/job.py\", line 356, in __run_body\n rv = await self.middleware._call_worker(self.serviceobj, self.method_name, *self.args, job={'id': self.id})\n File \"/usr/local/lib/python3.6/site-packages/middlewared/main.py\", line 1007, in _call_worker\n job,\n File \"/usr/local/lib/python3.6/site-packages/middlewared/main.py\", line 938, in run_in_proc\n return await self.run_in_executor(self._procpool, method, *args, **kwargs)\n File \"/usr/local/lib/python3.6/site-packages/middlewared/main.py\", line 923, in run_in_executor\n return await loop.run_in_executor(pool, functools.partial(method, *args, **kwargs))\nmiddlewared.service_exception.ValidationErrors: [EINVAL] options.props.ip6_addr: valid IP address\n\n", "state": "FAILED", "time_started": {"$date": 1538098718702}, "time_finished": {"$date": 1538098718761}}}


Related issues

Blocks FreeNAS - Bug #48482: Add IPv6 Autoconfigure checkbox for jails to new UIDone

Associated revisions

Revision 08f5aab2 (diff)
Added by Waqar Ahmed almost 2 years ago

Add ipv6 keyword check in ip validator This commit adds support for a keyword to be passed in when creating jails configured for ipv6. Ticket: #48636

Revision 6fb420d2 (diff)
Added by Waqar Ahmed almost 2 years ago

Replace disk bug fix api v1 This commit fixes a bug where replace disk call for protected volumes didn't work as api v1 didn't accept passphrase param. Ticket: #48636

History

#1 Updated by Lola Yang almost 2 years ago

  • Blocks Bug #48482: Add IPv6 Autoconfigure checkbox for jails to new UI added

#2 Updated by Waqar Ahmed almost 2 years ago

  • Status changed from Unscreened to In Progress
  • Seen in set to Master - FreeNAS Nightlies
  • Severity changed from New to Low Medium

#3 Updated by Bug Clerk almost 2 years ago

  • Status changed from In Progress to Ready for Testing

#4 Updated by Dru Lavigne almost 2 years ago

  • Subject changed from Add support for a keyword in IP_IN_USE Validator to Add IPv6 keyword check in IP validator
  • Needs Doc changed from Yes to No
  • Needs Merging changed from Yes to No

#5 Updated by Dru Lavigne almost 2 years ago

  • Status changed from Ready for Testing to Done
  • Needs QA changed from Yes to No

Also available in: Atom PDF